package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.model.Img;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 
 */
@Mapper
public interface ImgMapper {

    List<Img> getImgListByftynum(@Param("ftynum") String ftynum);

    List<Img> selectByTrninrAndSta(@Param("trninr") String trninr, @Param("sta") String sta);

    List<Img> selectByTrninr(@Param("trninr") String trninr);

    int update(@Param("vo") Img img);

    List<Img> selectImgByMsgId(@Param("MsgId") String MsgId);

    int updateFileInfo(@Param("sta") String sta,@Param("filetype") String filetype,@Param("msgid") String msgid);

    Img getImgDataByTrninr(@Param("trninr") String trninr);

    void insert(@Param("img") Img img);

    void deleteByPrimaryKey(@Param("inr") String inr);

    String selectFilename(String ftynum);
}
